Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226478 - Merge Review: tar
Summary: Merge Review: tar
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:08 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-30 20:07:55 UTC
bugs.michael: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:08:31 UTC
Fedora Merge Review: tar

http://cvs.fedora.redhat.com/viewcvs/devel/tar/
Initial Owner: pvrabec@redhat.com

Comment 1 Michael Schwendt 2007-02-06 14:20:21 UTC
tar-1.16.1.tar.bz2 plus sig is available upstream.

> Prereq: info

Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

> %makeinstall bindir=$RPM_BUILD_ROOT/bin libexecdir=$RPM_BUILD_ROOT/sbin

Standard make install with DESTDIR ought to be preferred, provided
that it works:

  make DESTDIR=$RPM_BUILD_ROOT bindir=/bin libexecdir=/sbin install

The %makeinstall macro overrides many Make variables, which can lead
to %buildroot finding its way into built files.

> install -c -m

Wherever files are installed manually, add option "-p" to preserve
time-stamps, so files which haven't changed for a long time are easier
to spot when browsing installed package contents.

> BuildRoot: ...

Doesn't match the Fedora standard

  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

and might be rejected as soon as it might become mandatory.


Comment 2 Peter Vrabec 2007-02-06 15:19:07 UTC
> tar-1.16.1.tar.bz2 plus sig is available upstream.
I know about it, but there are still problems with tar-1.16.1.(#226917)

The rest is fixed in:
tar-1.15.1-26.fc7.



Comment 3 Michael Schwendt 2007-02-06 21:37:20 UTC
* With the better scriptlet dependencies on /sbin/install-info in
place, "Prereq: info" can be deleted:

  $ rpmlint tar-1.15.1-26.src.rpm
  W: tar prereq-use info

* Other releases of tar may need "BuildRequires: gettext" for the
message object files. This version doesn't.

* The changes in cvs look fine.


APPROVED


* A side-note about the binary rpm:

  $ rpmlint tar-1.15.1-26.i386.rpm 
  W: tar file-not-utf8 /usr/share/info/tar.info-1.gz
  W: tar file-not-utf8 /usr/share/info/tar.info.gz

Indeed, in a single line in both files, Jörg Schilling's name is
encoded in ISO 8859-1. That alone would be easy to fix with "iconv",
and a created patch shows no accidental conversions.

However, there are a few 0x0c carriage-return values in those files
(and also in the texinfo input files), which cause these paragraphs,
where the encoding is wrong, to be hidden when displaying the
documentation with "info". I don't know whether the 0x0c are intentional
or supposed to be 0x0a instead.


Comment 4 Peter Vrabec 2007-02-07 12:10:33 UTC
If you want to check upgrade candidate too, you can find it at:
http://people.redhat.com/pvrabec/rpms/tar-1.16.1-1.src.rpm


Note You need to log in before you can comment on or make changes to this bug.